
# Install and enable avahi daemon.
#
class avahi::daemon {

    package { "avahi":
        ensure => installed,
    }

    service { "avahi-daemon":
        ensure  => running,
        enable  => true,
        status  => "avahi-daemon -c",
        start   => $operatingsystem ? {
            openbsd => "avahi-daemon -D",
            default => undef,
        },
        require => Package["avahi"],
    }

}
